# class Gem::Resolver::IndexSet

The global rubygems pool represented via the traditional source index.

### Public Instance Methods

find_all(req) click to toggle source

Return an array of IndexSpecification objects matching DependencyRequest `req`.

    # File lib/rubygems/resolver/index_set.rb, line 39
    def find_all(req)
      res = []

      return res unless @remote

      name = req.dependency.name

      @all[name].each do |uri, n|
        if req.match? n, @prerelease
          res << Gem::Resolver::IndexSpecification.new(
            self, n.name, n.version, uri, n.platform)
        end
      end

      res
    end